Mailinglist Archive: opensuse-updates (170 mails)

< Previous Next >
openSUSE-RU-2016:0417-1: moderate: Recommended update for targetcli, python-rtslib
openSUSE Recommended Update: Recommended update for targetcli, python-rtslib
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:0417-1
Rating: moderate
References: #910538 #948529 #954234 #956509 #958274
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has 5 recommended fixes can now be installed.

Description:

This update for targetcli and python-rtslib provides the following fixes:

targetcli:

- Remove trailing white spaces before parsing "exit" command. (boo#948529)
- Update systemd service start to load current configuration, if any,
using load_targetcli_config. (boo#954234)
- Fix silent failure on backstore file creation when file size is not
specified. (boo#910538)

python-rtslib:

- Add qla2xxx_wwn WWN type, allowing systems with existing targets to be
validated by rtslib and for the configuration to be saved. (boo#954234)
- Fix detection of 64-bit architectures. (boo#956509)
- If the system hostname contains underscores, replace them by dashes
before using it to create target names. (boo#958274)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-189=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

targetcli-2.1-4.1

- openSUSE Leap 42.1 (noarch):

python-rtslib-2.2-9.1


References:

https://bugzilla.suse.com/910538
https://bugzilla.suse.com/948529
https://bugzilla.suse.com/954234
https://bugzilla.suse.com/956509
https://bugzilla.suse.com/958274


< Previous Next >
This Thread
  • No further messages